"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatContent = void 0;
const prettier_1 = require("prettier");
async function formatContent({ generatedFileContent, prettierConfigPath = '.prettierrc', }) {
    const prettierConfig = await (0, prettier_1.resolveConfig)(prettierConfigPath);
    console.log('Prettier Config Path:', prettierConfigPath);
    console.log('Prettier Config:', prettierConfig);
    // Format the file content using Prettier
    const formattedFileContent = (0, prettier_1.format)(generatedFileContent, {
        parser: 'typescript',
        ...(prettierConfig || {}),
    });
    return formattedFileContent;
}
exports.formatContent = formatContent;
