"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const toHookName_1 = require("./toHookName");
describe('toHookName', () => {
    it('should return the hook name for a table with a single word name.', () => {
        expect((0, toHookName_1.toHookName)({ tableName: 'users', operation: 'Get' })).toBe('useGetUser');
        expect((0, toHookName_1.toHookName)({ tableName: 'users', operation: 'GetAll' })).toBe('useGetAllUsers');
    });
    it('should return the hook name for a table with a snake_case name.', () => {
        expect((0, toHookName_1.toHookName)({
            tableName: 'todo_items',
            operation: 'Update',
        })).toBe('useUpdateTodoItem');
        expect((0, toHookName_1.toHookName)({
            tableName: 'todo_items',
            operation: 'GetAll',
        })).toBe('useGetAllTodoItems');
    });
    it('should return the hook name for a table with a multi-word snake_case name', () => {
        expect((0, toHookName_1.toHookName)({
            tableName: 'order_item_details',
            operation: 'Delete',
        })).toBe('useDeleteOrderItemDetail');
        expect((0, toHookName_1.toHookName)({
            tableName: 'order_item_details',
            operation: 'GetAll',
        })).toBe('useGetAllOrderItemDetails');
    });
    it('should return the hook name for a table named `people` (singualize lib test)', () => {
        expect((0, toHookName_1.toHookName)({ tableName: 'people', operation: 'Delete' })).toBe('useDeletePerson');
        expect((0, toHookName_1.toHookName)({ tableName: 'people', operation: 'GetAll' })).toBe('useGetAllPeople');
    });
    it('should return the hook name for a table named `parties` (singualize lib test)', () => {
        expect((0, toHookName_1.toHookName)({ tableName: 'parties', operation: 'Delete' })).toBe('useDeleteParty');
        expect((0, toHookName_1.toHookName)({ tableName: 'parties', operation: 'GetAll' })).toBe('useGetAllParties');
    });
});
