"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConfigFile = void 0;
const path_1 = __importDefault(require("path"));
const allowedExtensions = ['.js', '.json'];
function getConfigFile(configPath) {
    const absoluteConfigPath = path_1.default.resolve(process.cwd(), configPath);
    const fileExtension = path_1.default.extname(absoluteConfigPath);
    if (!allowedExtensions.includes(fileExtension)) {
        throw new Error(`Invalid configuration file extension. Allowed extensions are: ${allowedExtensions.join(', ')}`);
    }
    try {
        // eslint-disable-next-line @typescript-eslint/no-var-requires, security-node/detect-non-literal-require-calls
        const configFile = require(absoluteConfigPath);
        return configFile;
    }
    catch (error) {
        throw new Error(`Config file not found or could not be loaded at "${absoluteConfigPath}"`);
    }
}
exports.getConfigFile = getConfigFile;
