"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const importSupabase_1 = require("./importSupabase");
describe('importSupabase', () => {
    test('should return import statement with default export when supabaseExportName is not provided', () => {
        expect((0, importSupabase_1.importSupabase)({ relativeSupabasePath: '../supabaseClient' })).toBe("import supabase from '../supabaseClient';");
    });
    test('should return import statement with named export when supabaseExportName is provided', () => {
        expect((0, importSupabase_1.importSupabase)({
            relativeSupabasePath: '../supabaseClient',
            supabaseExportName: 'customSupabase',
        })).toBe("import { customSupabase } from '../supabaseClient';");
    });
    test('should throw an error when relativeSupabasePath is not provided', () => {
        expect((0, importSupabase_1.importSupabase)({})).toBe("import supabase from './supabase';");
    });
});
